I have AT&T but I don't have a new plan with them. I have my iphone unlocked so I can use my AT&T sim and my current plan without signing up for a 2-year contract. My question is, can I upgrade to 1.1.3 or will it still be bricked?

I'm asking this question because today when I was updating from to 1.1.2 from 1.1.1, I didn't need to do the full tutorial that Sassha posted up (http://www.hackint0sh.org/forum/show...hlight=sassha). After updating to 1.1.2 and jailbreaking, my phone was unlocked for AT&T. I tried putting in a t-mobile sim and it didn't work but the AT&T definitely did.


Thanks,

Rick